gsw_CT_from_rho {gsw} | R Documentation

## Conservative Temperature from Density, Absolute Salinity and Pressure

### Description

Conservative Temperature from Density, Absolute Salinity and Pressure

### Usage

    gsw_CT_from_rho(rho, SA, p)

### Arguments

`rho` | seawater density [ kg/m^3 ]
`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing two estimates of Conservative Temperature: `CT` and `CT_multiple`, each in [ degC ].

### References

http://www.teos-10.org/pubs/gsw/html/gsw_CT_from_rho.html

### See Also

Other things related to density: `gsw_CT_maxdensity`, `gsw_SA_from_rho`, `gsw_alpha_on_beta`, `gsw_alpha_wrt_t_exact`, `gsw_alpha_wrt_t_ice`, `gsw_alpha`, `gsw_beta_const_t_exact`, `gsw_beta`, `gsw_pot_rho_t_exact`, `gsw_rho_alpha_beta`, `gsw_rho_first_derivatives_wrt_enthalpy`, `gsw_rho_first_derivatives`, `gsw_rho_ice`, `gsw_rho_t_exact`, `gsw_rho`, `gsw_sigma0`, `gsw_sigma1`, `gsw_sigma2`, `gsw_sigma3`, `gsw_sigma4`, `gsw_specvol_alpha_beta`, `gsw_specvol_anom_standard`, `gsw_specvol_ice`, `gsw_specvol_t_exact`, `gsw_specvol`

### Examples

    rho <- c(1021.8484, 1022.2647, 1024.4207, 1027.7841, 1029.8287, 1031.9916)
    SA <- c(   34.7118,   34.8915,   35.0256,   34.8472,   34.7366,   34.7324)
    p <- c(         10,        50,       125,       250,       600,      1000)
    r <- gsw_CT_from_rho(rho, SA, p)
    expect_equal(r$CT, c(28.784377302226968, 28.432402127485858, 22.808745445250068,
                       10.260169334807866, 6.887336649146716, 4.404594162282834))

[Package gsw version 1.0-5 Index]